=== debian/control ===
Source: kanboard
Section: web
Priority: optional
Maintainer: Joseph Nahmias <jello@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-phpcomposer,
 fonts-font-awesome,
 help2man,
 libjs-c3,
 libjs-d3,
 libjs-ismobilejs,
 libjs-jquery,
 libjs-jquery-timepicker,
 libjs-jquery-ui,
 libjs-jquery-ui-touch-punch,
 libjs-select2.js,
 libjs-textarea-caret,
 pkg-php-tools (>= 1.41),
 phpab,
 composer,
 php-gd,
 php-json,
 php-mbstring,
 php-sqlite3,
 architecture-is-64-bit <!nocheck>,
 php-xml <!nocheck>,
 phpunit <!nocheck>,
 php-christianriesen-otp <!nocheck>,
 php-eluceo-ical <!nocheck>,
 php-gregwar-captcha <!nocheck>,
 php-ldap <!nocheck>,
 php-matthiasmullie-minify <!nocheck>,
 php-parsedown <!nocheck>,
 php-pimple <!nocheck>,
 php-psr-log <!nocheck>,
 php-swiftmailer <!nocheck>,
 php-symfony-console <!nocheck>,
 php-symfony-event-dispatcher <!nocheck>,
 php-symfony-finder <!nocheck>,
 php-symfony-stopwatch <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://kanboard.org/
Vcs-Browser: https://salsa.debian.org/debian/kanboard
Vcs-Git: https://salsa.debian.org/debian/kanboard.git
Rules-Requires-Root: binary-targets

Package: kanboard
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require},
 architecture-is-64-bit,
 php-cli,
 lighttpd | libapache2-mod-php | httpd-cgi,
 php-sqlite3 | php-pgsql | php-mysql,
 fonts-font-awesome,
Recommends: ${phpcomposer:Debian-recommend}
 default-mta | mail-transport-agent,
 php-curl,
 php-fpm,
 php-ldap,
 php-zip,
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: kanban project management software
 Kanboard (https://kanboard.org) is a project management software that
 focuses on the Kanban methodology. It has the following features:
 .
  * Visualize your work
  * Limit your work in progress to be more efficient
  * Customize your boards according to your business activities
  * Multiple projects with the ability to drag and drop tasks
  * Reports and analytics
  * Fast and simple to use
  * Access from anywhere with a modern browser
  * Plugins and integrations with external services
  * Free, open source and self-hosted
