## kanboard 1.2.31+ds2

=== debian/changelog ===
kanboard (1.2.31+ds2-1) unstable; urgency=medium

  * New upstream version 1.2.31+ds2
    + exclude upstream's .gitattributes to fix salsa CI pipeline
  * add missing dep on libjs-jquery-ui (Closes: #1040558)
  * salsa-ci: do not build on i386; 32bit is unsupported
  * drop unused lintian source override

 -- Joseph Nahmias <jello@debian.org>  Sat, 08 Jul 2023 23:39:58 -0400

kanboard (1.2.31+ds-1) unstable; urgency=medium

  * New upstream version 1.2.31+ds
    - CVE-2023-36813: Avoid potential SQL injections without breaking
      compatibility with plugins
      https://github.com/kanboard/kanboard/security/advisories/GHSA-9gvq-78jp-jxcx
      (Closes: #1040265)
  * drop patches merged upstream; refresh others

 -- Joseph Nahmias <jello@debian.org>  Mon, 03 Jul 2023 20:54:54 -0400

kanboard (1.2.30+ds-1) unstable; urgency=medium

  * New upstream version 1.2.30+ds
  * drop/refresh patches as needed
  * fix PHPUnit deprecation warnings
  * mark patches as Fowarded upstream

 -- Joseph Nahmias <jello@debian.org>  Sat, 01 Jul 2023 23:10:51 -0400

kanboard (1.2.26+ds-4) unstable; urgency=medium

  * backport security fixes from kanboard v1.2.30
     > CVE-2023-33956: Parameter based Indirect Object Referencing leading
       to private file exposure
     > CVE-2023-33968: Missing access control allows user to move and
       duplicate tasks to any project in the software
     > CVE-2023-33969: Stored XSS in the Task External Link Functionality
     > CVE-2023-33970: Missing access control in internal task links feature
    (Closes: #1037167)

 -- Joseph Nahmias <jello@debian.org>  Wed, 07 Jun 2023 20:45:40 -0400

kanboard (1.2.26+ds-3) unstable; urgency=medium

  * backport fix for CVE-2023-32685 from kanboard v1.2.29
    https://github.com/kanboard/kanboard/security/advisories/GHSA-hjmw-gm82-r4gv
    Based on upstream commits 26b6eeb & c9c1872. (Closes: #1036874)

 -- Joseph Nahmias <jello@debian.org>  Sun, 28 May 2023 21:42:46 -0400
