=== debian/control ===
--- 
+++ 
@@ -53,6 +53,7 @@
  lighttpd | libapache2-mod-php | httpd-cgi,
  php-sqlite3 | php-pgsql | php-mysql,
  fonts-font-awesome,
+ libjs-jquery-ui,
 Recommends: ${phpcomposer:Debian-recommend}
  default-mta | mail-transport-agent,
  php-curl,
