## kanboard 1.2.44+ds

=== debian/changelog ===
kanboard (1.2.44+ds-1) unstable; urgency=medium

  [ Athos Ribeiro ]
  * bump Standards-Version to 4.6.2
  * add support for phpunit 10 (Closes: #1039751):
    - remove deprecated phpunit verbose option
    - comply with phpunit 10 removals and deprecations

  [ Joseph Nahmias ]
  * New upstream version 1.2.38+ds
  * refresh patches
  * New upstream version 1.2.43+ds
  * refresh patches for v1.2.43
  * fix declarations in Logger class
  * show deprecation notices
  * disable deprecated csv escape by default
  * fix implicit null type for LDAP User group
  * unvendor parsedown and event-dispatcher
  * clean up all minified css and js
  * New upstream version 1.2.44+ds

 -- Joseph Nahmias <jello@debian.org>  Fri, 11 Apr 2025 13:35:26 -0400
