=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  php-symfony-event-dispatcher <!nocheck>,
  php-symfony-finder <!nocheck>,
  php-symfony-stopwatch <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://kanboard.org/
 Vcs-Browser: https://salsa.debian.org/debian/kanboard
 Vcs-Git: https://salsa.debian.org/debian/kanboard.git
