=== debian/tests/control ===
# ignore 32-bit architectures

Test-Command: /usr/share/kanboard/cli version
Depends: kanboard
Features: test-name=smoke-cli
Restrictions: needs-root, superficial
Architecture: !armel !armhf !i386

Tests: upstream
Depends:
 kanboard,
 phpab,
 phpunit,
 php-ldap,
 php-symfony-stopwatch,
 pkg-php-tools (>= 1.41),
Restrictions: needs-root
Architecture: !armel !armhf !i386

Test-Command: debian/tests/check_version_via_jsonrpc_api.sh
Depends:
 lighttpd,
 kanboard,
 php-fpm,
 sqlite3,
 curl,
 jq,
Features: test-name=smoke-jsonrpc-lighttpd
Restrictions: needs-root, superficial
Architecture: !armel !armhf !i386

Test-Command: /usr/bin/true
Depends:
 apache2,
 kanboard,
Features: test-name=install-apache
Restrictions: superficial
Architecture: !armel !armhf !i386
