## kanboard 1.2.47+ds

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	@ grep -v "SET idle_in_transaction_session_timeout = 0;" app/Schema/Sql/postgres.sql > temp && mv temp app/Schema/Sql/postgres.sql
 
 docker-image:
-	@ docker build --build-arg VERSION=main.$(VERSION) -t $(DOCKER_IMAGE):$(DOCKER_TAG) .
+	@ docker buildx build --load --build-arg VERSION=main.$(VERSION) -t $(DOCKER_IMAGE):$(DOCKER_TAG) .
 
 docker-images:
 	docker buildx build \
