=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,12 @@
 		--output vendor/autoload.tests.php \
 		--template debian/autoload.tests.php.tpl \
 		tests/units
-	phpunit --verbose --configuration tests/units.sqlite.xml --bootstrap vendor/autoload.tests.php
+	phpunit \
+		--configuration tests/units.sqlite.xml \
+		--bootstrap vendor/autoload.tests.php \
+		--do-not-cache-result \
+		--display-deprecations \
+		--display-phpunit-deprecations
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
