## kanboard 1.2.48+ds

=== debian/changelog ===
kanboard (1.2.48+ds-1) unstable; urgency=medium

  [ Santiago Vila ]
  * d/control: Drop <!nocheck> from several BD. (Closes: #1122316)

  [ Joseph Nahmias ]
  * New upstream version 1.2.48+ds
  * rediff patches for gbp pq
  * d/control: bump Std-Ver to 4.7.2; no changes

 -- Joseph Nahmias <jello@debian.org>  Thu, 18 Dec 2025 22:26:58 -0500
