## kanboard 1.2.49%2Bds

=== debian/changelog ===
kanboard (1.2.49+ds-1) unstable; urgency=medium

  * New upstream version 1.2.49+ds
    + fixes CVE-2026-21880 aka GHSA-v66r-m28r-wmq7
      Kanboard LDAP Injection Vulnerability
    + fixes CVE-2026-21881 aka GHSA-wwpf-3j4p-739w
      Kanboard Reverse Proxy Authentication Bypass
    + fixes CVE-2026-21879 aka GHSA-mhv9-7m9w-7hcq
      Kanboard Open Redirect Vulnerability
    Closes: #1125061
  * refresh patches

 -- Joseph Nahmias <jello@debian.org>  Thu, 08 Jan 2026 20:38:04 -0500
