## kanboard 1.2.50+ds

=== debian/changelog ===
kanboard (1.2.50+ds-1) unstable; urgency=medium

  * New upstream version 1.2.50+ds
    + fixes CVE-2026-25924 aka GHSA-grch-p7vf-vc4f
      Administrative RCE via Security Control Bypass
    + fixes CVE-2026-24885 aka GHSA-582j-h4w4-hwr5
      CSRF in Project Role Assignment
    + fixes CVE-2026-25530 aka GHSA-6rxw-vvvj-r93q
      Missing authorization check in getSwimlane API
    + fixes CVE-2026-25531 aka GHSA-vrm3-3337-whp9
      TaskCreationController::duplicateProjects() does not
      validate permissions
    Closes: #1127924, #1127694.
  * Rediff patches

 -- Joseph Nahmias <jello@debian.org>  Mon, 16 Feb 2026 20:25:55 -0500
