=== debian/control ===
--- 
+++ 
@@ -18,28 +18,28 @@
  libjs-jquery-ui-touch-punch,
  libjs-select2.js,
  libjs-textarea-caret,
- php-christianriesen-otp <!nocheck>,
- php-eluceo-ical <!nocheck>,
+ php-christianriesen-otp,
+ php-eluceo-ical,
  php-gd,
- php-gregwar-captcha <!nocheck>,
+ php-gregwar-captcha,
  php-json,
  php-ldap <!nocheck>,
- php-matthiasmullie-minify <!nocheck>,
+ php-matthiasmullie-minify,
  php-mbstring,
- php-parsedown <!nocheck>,
- php-pimple <!nocheck>,
+ php-parsedown,
+ php-pimple,
  php-psr-log <!nocheck>,
  php-sqlite3,
- php-swiftmailer <!nocheck>,
+ php-swiftmailer,
  php-symfony-console <!nocheck>,
- php-symfony-event-dispatcher <!nocheck>,
+ php-symfony-event-dispatcher,
  php-symfony-finder <!nocheck>,
  php-symfony-stopwatch <!nocheck>,
  php-xml <!nocheck>,
  phpab,
  phpunit <!nocheck>,
  pkg-php-tools (>= 1.41),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://kanboard.org/
 Vcs-Browser: https://salsa.debian.org/debian/kanboard
 Vcs-Git: https://salsa.debian.org/debian/kanboard.git
